noinst_LIBRARIES=libdsa.a
TESTS=dsatest
EXTRA_PROGRAMS=dsagen dsatest
INCLUDES=-I$(top_srcdir)/crypto

libdsa_a_SOURCES=dsa_err.c dsa_gen.c dsa_key.c dsa_lib.c dsa_sign.c dsa_vrf.c
EXTRA_DIST=Makefile.ssl README dsa.err dsa.h fips186a.txt

dsagen_SOURCES=dsagen.c
dsagen_LDFLAGS=-L$(top_builddir)/crypto
dsagen_LDADD=-lcrypto
dsagen_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a

dsatest_SOURCES=dsatest.c
dsatest_LDFLAGS=-L$(top_builddir)/crypto
dsatest_LDADD=-lcrypto
dsatest_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a

errors dsa_err.c dsa.h: dsa.err
	perl $(top_srcdir)/util/err-ins.pl dsa.err dsa.h
	perl $(top_srcdir)/crypto/err/err_genc.pl dsa.h dsa_err.c

$(top_builddir)/crypto/libcrypto.a:
	cd $(top_builddir)/crypto; $(MAKE) $(MFLAGS) libcrypto.a
